Name: memtest86
Version: 3.2
Release: alt3

Summary: Memory test for x86 architecture
License: GPL
Group: System/Kernel and hardware
Packager: Michael Shigorin <mike@altlinux.ru>

Url: http://www.memtest86.com
Source0: %url/%name-%version.tar.gz
Source2: memtest86-3.0-README.rover
Source3: memtest86-3.0-rover-tested_cpus.tar.gz
Patch0: memtest86-3.0-rover-centrino+c3+amd.patch
Patch1: memtest86-3.2-rover-fixcrash.patch

ExclusiveArch: %ix86
BuildRequires: dev86
Requires(post,preun): bootloader-utils >= 0.3

Summary(ru_RU.KOI8-R):    x86-
Summary(uk_UA.KOI8-U):  'Ԧ  x86-Ȧ

%set_strip_method none

%description
Memtest86 is thorough, standalone memory test for x86 systems. Memtest86 is a
standalone program and can be loaded from either a disk partition via lilo or
a floppy disk. Memtest86 uses a "moving inversions" algorithm that is proven to
be effective in finding memory errors.  The BIOS based memory test is just a
quick check that will often miss many of the failures that are detected by
Memtest86.

%description -l ru_RU.KOI8-R
Memtest86 --       x86-.  
        LILO/GRUB,   .

   " ",   
   .     "" BIOS -- 
   ,       , 
 memtest86.

      -.

%description -l uk_UA.KOI8-U
Memtest86 --   Ԧ  'Ԧ  x86-. 
         LILO/GRUB, 
  .

 դ  " Ӧ",  צ 
Φ  Φ Ħ  '.   
 "" BIOS -- צ  Φ  ,    
 ϧ  ,   memtest86.

     ϧ
-.

%prep
%setup -q
%patch1 -p1
subst 's/^CCFLAGS.*$/& -fno-stack-protector/' Makefile

%build
make	# intentionally without optimizations

%install
install -m644 -pD memtest.bin %buildroot/boot/memtest-%version.bin

%post
/sbin/installkernel --memtest %version

%preun
/sbin/installkernel --memtest --remove %version

%files
/boot/memtest-%version.bin
%doc README*

%changelog
* Sat Oct 14 2006 Michael Shigorin <mike@altlinux.org> 3.2-alt3
- fix build with SSP-enabled gcc4.1 (thanks damir@ and wrar@)

* Fri Mar 03 2006 Michael Shigorin <mike@altlinux.org> 3.2-alt2
- re-added fix for crash with unknown CPU cache
  (courtesy of Andrey Liakhovets again)

* Wed Feb 22 2006 Michael Shigorin <mike@altlinux.org> 3.2-alt1
- 3.2
- built with current gcc
- disabled rover modifications; many thanks to Andrey Liakhovets
  for doing them but seems I'm not in position to check whether
  any of them are merged upstream (seems we've sent the patches)
  or that the result of forward-porting would really work;
  so if you need them, please get 3.0-alt6+ from ALC2.3/ALM2.4
  -- or have a look at memtest86+ package.
- removed redundant installmemtest86 (which was a symlink 
  since last build), added installkernel parameter instead
- spec cleanup

* Fri Jun 11 2004 Alexey Tourbin <at@altlinux.ru> 3.0-alt8
- use /sbin/installkernel from recent bootloader-utils
  in post/preun scripts; hopefully this should fix #3317

* Wed Nov 26 2003 Michael Shigorin <mike@altlinux.ru> 3.0-alt7
- removed dependency on initscripts;
  thanks Nick Fedchik <nick fedchik org ua> for noticing

* Sat Oct 25 2003 Michael Shigorin <mike@altlinux.ru> 3.0-alt6
- updated patch by Andrey Liakhovets:
  AMD Athlon XP support, general cleanups

* Mon Oct 06 2003 Michael Shigorin <mike@altlinux.ru> 3.0-alt5
- updated patch by AL (now handles VIA C3 too); changed its company prefix
  from "alt" to "rover" as it should reflect the origin more properly
- added README.rover (see also #2648 history) and cpus/ to docs
- minor spec cleanup, TODO update

* Thu Sep 25 2003 Michael Shigorin <mike@altlinux.ru> 3.0-alt4
- added buildrequires to "fix" hasher build
- hopefully fixed #2648;
  thanks to Andrey Liakhovets <lyakhovetz rovercomputers ru>

* Thu Nov 28 2002 Michael Shigorin <mike@altlinux.ru> 3.0-alt3
- major bugfix: rolled back broken gcc3 build attempt, hardwired compat-gcc

* Fri Oct 18 2002 Stanislav Ievlev <inger@altlinux.ru> 3.0-alt2
- rebuild with gcc3

* Wed May 29 2002 Michael Shigorin <mike@altlinux.ru> 3.0-alt1
- new version

* Sat May 04 2002 Michael Shigorin <mike@altlinux.ru> 2.9-alt2
- 2.8-alt3 reverse fix somehow managed to pass by 2.9-alt1, so it just
  didn't update the bootsector.  Fixed; sorry for that :-(

* Sat Apr 13 2002 Michael Shigorin <mike@altlinux.ru> 2.9-alt1
- new version

* Thu Mar 28 2002 Michael Shigorin <mike@altlinux.ru> 2.8-alt3
- fixed post/preun scriptlets (installmemtest86 error handling by rpm)
- undone module search path "fix" in installmemtest86 (apparently broken by me)

* Tue Mar 26 2002 Michael Shigorin <mike@altlinux.ru> 2.8-alt2
- added missing PreReq: bootloader-utils

* Fri Nov 23 2001 Michael Shigorin <mike@altlinux.ru> 2.8-alt1
- alt1: 2.8a from memtest86.com
  spec synced with and install script borrowed from Mandrake Cooker src.rpm
  moved install script from /usr/share/loader/ to /usr/sbin
